libzypp: zypp_private::repo::PluginRepoverification Class Reference

libzypp 17.36.6

Classes | Public Member Functions | Private Types | Private Attributes | Friends | Related Symbols | List of all members
zypp_private::repo::PluginRepoverification Class Reference

Repository metadata verification beyond GPG. More...

`#include <zypp/repo/PluginRepoverification.h>`

## Classes
class | Checker
| FileChecker checking all repoverification plugins. More...
class | Impl
| PluginRepoverification implementation. More...

## Public Member Functions
| PluginRepoverification ()
| Default ctor, do nothing.
| PluginRepoverification (Pathname plugindir_r, Pathname chroot_r=Pathname())
| Ctor monitoring a plugindir_r and optional chroot for plugin execution.
| ~PluginRepoverification ()
| Dtor.
bool | isNeeded () const
| Whether the last checkIfNeeded found plugins to execute at all.
bool | checkIfNeeded ()
| Checks whether there are plugins to execute at all.
Checker | getChecker (Pathname sigpathLocal_r, Pathname keypathLocal_r, RepoInfo repo_r) const
| FileChecker factory remembering the location of the master index files GPG signature and key.

## Private Types
using | ExceptionType = PluginRepoverificationCheckException

## Private Attributes
RW_pointer< Impl > | _pimpl
| Implementation class.

## Friends
std::ostream & | operator<< (std::ostream &str, const PluginRepoverification &obj)
std::ostream & | dumpOn (std::ostream &str, const PluginRepoverification &obj)
bool | operator== (const PluginRepoverification &lhs, const PluginRepoverification &rhs)

## Related Symbols
(Note that these are not member symbols.)
std::ostream & | operator<< (std::ostream &str, const PluginRepoverification::Impl &obj)
| Stream output.
std::ostream & | dumpOn (std::ostream &str, const PluginRepoverification::Impl &obj)
| Verbose stream output.
std::ostream & | operator<< (std::ostream &str, const PluginRepoverification &obj)
| Stream output.
std::ostream & | dumOn (std::ostream &str, const PluginRepoverification &obj)
| Verbose stream output.
bool | operator== (const PluginRepoverification &lhs, const PluginRepoverification &rhs)
bool | operator!= (const PluginRepoverification &lhs, const PluginRepoverification &rhs)

## Detailed Description

Repository metadata verification beyond GPG.

Implements the repoverification plugin setup and workflow. Also serves as factory for a file FileChecker that can be passed to e.g. repo::Downloader when fetching the repos master index file.

If a root dir is defined, plugin scripts will be executed chrooted.

See also
  plugin-repoverification for more details.

Definition at line 52 of file PluginRepoverification.h.

## Member Typedef Documentation

## ◆ ExceptionType

using zypp_private::repo::PluginRepoverification::ExceptionType = PluginRepoverificationCheckException
| private

Definition at line 58 of file PluginRepoverification.h.

## Constructor & Destructor Documentation

## ◆ PluginRepoverification() [1/2]

zypp_private::repo::PluginRepoverification::PluginRepoverification | ( |  | ) |

Default ctor, do nothing.

Definition at line 266 of file PluginRepoverification.cc.

## ◆ PluginRepoverification() [2/2]

zypp_private::repo::PluginRepoverification::PluginRepoverification | ( | Pathname | plugindir_r,
|  | Pathname | chroot_r = Pathname() )

Ctor monitoring a plugindir_r and optional chroot for plugin execution.

Definition at line 270 of file PluginRepoverification.cc.

## ◆ ~PluginRepoverification()

zypp_private::repo::PluginRepoverification::~PluginRepoverification | ( |  | ) |

Dtor.

Definition at line 274 of file PluginRepoverification.cc.

## Member Function Documentation

## ◆ isNeeded()

bool zypp_private::repo::PluginRepoverification::isNeeded | ( |  | ) | const

Whether the last checkIfNeeded found plugins to execute at all.

Definition at line 278 of file PluginRepoverification.cc.

## ◆ checkIfNeeded()

bool zypp_private::repo::PluginRepoverification::checkIfNeeded | ( |  | ) |

Checks whether there are plugins to execute at all.

Definition at line 281 of file PluginRepoverification.cc.

## ◆ getChecker()

PluginRepoverification::Checker zypp_private::repo::PluginRepoverification::getChecker | ( | Pathname | sigpathLocal_r,
|  | Pathname | keypathLocal_r,
|  | RepoInfo | repo_r ) const

FileChecker factory remembering the location of the master index files GPG signature and key.

Definition at line 284 of file PluginRepoverification.cc.

## Friends And Related Symbol Documentation

## ◆ operator<< [1/3]

std::ostream & operator<< | ( | std::ostream & | str,
|  | const PluginRepoverification & | obj )
| friend

Definition at line 288 of file PluginRepoverification.cc.

## ◆ dumpOn [1/2]

std::ostream & dumpOn | ( | std::ostream & | str,
|  | const PluginRepoverification & | obj )
| friend

Definition at line 291 of file PluginRepoverification.cc.

## ◆ operator== [1/2]

bool operator== | ( | const PluginRepoverification & | lhs,
|  | const PluginRepoverification & | rhs )
| friend

Definition at line 294 of file PluginRepoverification.cc.

## ◆ operator<<() [2/3]

std::ostream & operator<< | ( | std::ostream & | str,
|  | const PluginRepoverification & | obj )
| related

Stream output.

Definition at line 288 of file PluginRepoverification.cc.

## ◆ dumOn()

std::ostream & dumOn | ( | std::ostream & | str,
|  | const PluginRepoverification & | obj )
| related

Verbose stream output.

## ◆ operator==() [2/2]

bool operator== | ( | const PluginRepoverification & | lhs,
|  | const PluginRepoverification & | rhs )
| related

Definition at line 294 of file PluginRepoverification.cc.

## ◆ operator!=()

bool operator!= | ( | const PluginRepoverification & | lhs,
|  | const PluginRepoverification & | rhs )
| related

Definition at line 121 of file PluginRepoverification.h.

## Member Data Documentation

## ◆ _pimpl

RW_pointer<Impl> zypp_private::repo::PluginRepoverification::_pimpl
| private

Implementation class.

Pointer to implementation (ref).

Definition at line 108 of file PluginRepoverification.h.

The documentation for this class was generated from the following files:

- zypp/repo/PluginRepoverification.h
- zypp/repo/PluginRepoverification.cc